Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739300 - sys-libs/gdbm: EAPI 7 request
Summary: sys-libs/gdbm: EAPI 7 request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 17:11 UTC by David Michael
Modified: 2020-09-07 20:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Michael 2020-08-27 17:11:35 UTC
This is one of two core packages with multilib dependencies that does not have an EAPI 7 ebuild.  That prevents it from cross-compiling to a multilib target system a la bug #723112.  I was able to cross-emerge a couple hundred packages for a testing multilib system with this fixed.

--- sys-libs/gdbm/gdbm-1.18.1.ebuild
+++ sys-libs/gdbm/gdbm-1.18.1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit autotools flag-o-matic multilib multilib-minimal
 
@@ -46,5 +46,5 @@
 	if ! use static-libs ; then
 		find "${ED}" -name '*.la' -delete || die
 	fi
-	mv "${ED%/}"/usr/include/gdbm/gdbm.h "${ED%/}"/usr/include/ || die
+	mv "${ED}"/usr/include/gdbm/gdbm.h "${ED}"/usr/include/ || die
 }
Comment 1 Mike Gilbert gentoo-dev 2020-08-27 17:26:28 UTC
As always, patches created with git-format-patch are preferable to patches pasted inline in the comment field.
Comment 2 Larry the Git Cow gentoo-dev 2020-09-07 20:44:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdea7ddd380498800f12646a5a959376bbe0c74c

commit cdea7ddd380498800f12646a5a959376bbe0c74c
Author:     David Michael <fedora.dm0@gmail.com>
AuthorDate: 2020-09-03 12:35:13 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-07 20:43:58 +0000

    sys-libs/gdbm: EAPI 7
    
    Closes: https://bugs.gentoo.org/739300
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: David Michael <fedora.dm0@gmail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 sys-libs/gdbm/gdbm-1.18.1-r1.ebuild | 50 +++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)